#
# spec file for package R-rstudioapi
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%global packname  rstudioapi
%global rlibdir   %{_libdir}/R/library

Name:           R-%{packname}
Version:        0.8
Release:        bp155.2.13
Summary:        R package to access the RStudio API
Group:          Development/Libraries/Other
License:        MIT
URL:            https://github.com/rstudio/rstudioapi
Source:         http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       R-base
BuildRequires:  texlive
BuildRequires:  texinfo
BuildRequires:  fdupes
%if 0%{?suse_version} <= 1220 && 0%{?suse_version} != 1110
BuildRequires:  texlive-fonts-extra
%endif
BuildRequires:  R-base-devel

%description
This package provides functions to access the RStudio API
when available, and provide informative error messages when not.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%files
%defattr(-, root, root, -)
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/LICENSE
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help

%changelog
* Fri Dec 28 2018 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary. Trim bias from description.
* Thu Dec 20 2018 mailaender@opensuse.org
- Update to version 0.8
* Thu Apr  5 2018 darin@darins.net
- removed Recommends/BuildRequires based on Suggests
* Sat Dec 16 2017 mailaender@opensuse.org
- Fix dependencies
- Enable packaging checks
* Sun Dec  3 2017 flyos@mailoo.org
- Update to 0.7
* Thu Oct  9 2014 darin@darins.net
- fix packaging
* Thu Apr 17 2014 darin@darins.net
- initial packaging
